#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_QQprivilegeCFGData
{
	//ID
	int mID;
	//类型
	int mType;
	//礼包名称
	std::string mName;
	//奖励物品ID
	std::vector<int> mItemId;
	//奖励物品数量
	std::vector<int> mItemCount;
	//领取类型
	int mReceive;
	//达成所需等级
	int mNeedlevel;
	//蓝钻等级
	int mBlueDiamond;
};

class M_QQprivilegeCFG
{
public:
private:
	static std::auto_ptr<M_QQprivilegeCFG> msSingleton;
public:
	int GetCount();
	const M_QQprivilegeCFGData* GetData(int ID);
	boost::unordered_map<int, M_QQprivilegeCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_QQprivilegeCFG* GetSingleton();
private:
	boost::unordered_map<int, M_QQprivilegeCFGData> mMapData;
};
